Edgewall Software

Version 17 (modified by Jonas Borgström, 15 years ago) ( diff )

Forgot the apt-get source for subversion

Installing and Running Trac on Debian Woody

Debian packages for Trac and a few dependencies doesn't exist in the Debian Woody distribution. Fortunately the Edgewall ftp-server has the missing packages. Add the following lines to your /etc/apt/sources.list:

# Trac, clearsilver, sqlite, pysqlite
deb http://ftp.edgewall.com/pub/debian woody trac
deb-src http://ftp.edgewall.com/pub/debian woody trac
# Subversion, Apache2
deb http://people.debian.org/~adconrad woody subversion
deb-src http://people.debian.org/~adconrad woody subversion

Run apt-get update after editing the file to update the package cache.

Installing Trac and the required dependencies should now be as simple as:

apt-get install trac

Note: When installing trac you might get some harmless warnings when the installation process byte-compiles some source files.

The rest of the installation process is as described in TracInstall (section "Creating a Project Environment" and forward).

Note: See TracWiki for help on using the wiki.